Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class OScope

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.OBase
          org.apache.ode.bpel.rtrep.v2.OAgent
              org.apache.ode.bpel.rtrep.v2.OActivity
                  org.apache.ode.bpel.rtrep.v2.OScope

All Implemented Interfaces:
  java.io.Serializable, ActivityModel, ScopeModel

Direct Known Subclasses:
  OCatch, OCompensationHandler, OEventHandler.OEvent, OTerminationHandler

    public class OScope

extends OActivity
implements ScopeModel

Compiled representation of a BPEL scope. Instances of this class are generated by the BPEL compiler.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OScope.CorrelationSet`
`static class` | `OScope.Variable`

Field Summary
`OActivity` | `activity` The activity that gets executed within this scope.
`boolean` | `atomicScope` Is this scope atomic i.e.
`java.util.Set<OScope>` | `compensatable` The descendants of this scope that can be compensated from the FH/CH of this scope.
`OCompensationHandler` | `compensationHandler` ScopeLikeConstructImpl's compensation handler.
`java.util.Map<java.lang.String,OScope.CorrelationSet>` | `correlationSets` OCorrelation sets declared within the scope.
`OEventHandler` | `eventHandler` ScopeLikeConstructImpl's event handler.
`OFaultHandler` | `faultHandler` ScopeLikeConstructImpl's fault handler.
`boolean` | `implicitScope`
`boolean` | `inboundMessageChildActivity` Is this scope's child an inbound message activity?
`boolean` | `isolatedScope` Is this scope isolated i.e.
`java.lang.String` | `name` Name of the scope.
`java.util.Map<java.lang.String,OPartnerLink>` | `partnerLinks`
`OTerminationHandler` | `terminationHandler` ScopeLikeConstructImpl's termination handler.
`java.util.HashMap<java.lang.String,OScope.Variable>` | `variables` Variables declared within the scope.

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`failureHandling, joinCondition, sourceLinks, suppressJoinFailure, targetLinks`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OAgent
`incomingLinks, nested, outgoingLinks, variableRd, variableWr`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`debugInfo`

Constructor Summary
`OScope(OProcess owner, OActivity parent)`

Method Summary
`void` | `addCorrelationSet(OScope.CorrelationSet ocset)`
`void` | `addLocalVariable(OScope.Variable variable)`
`ActivityModel` | `getActivity()`
`OScope.CorrelationSet` | `getCorrelationSet(java.lang.String corrName)` Obtains the correlation set visible in current scope or parent scope.
`OPartnerLink` | `getLocalPartnerLink(java.lang.String name)`
`OScope.Variable` | `getLocalVariable(java.lang.String varName)` Get a localy-defined variable by name.
`OPartnerLink` | `getVisiblePartnerLink(java.lang.String name)`
`OScope.Variable` | `getVisibleVariable(java.lang.String varName)`
`boolean` | `isInAtomicScope()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`getFailureHandling, getParent, getType, setFailureHandling`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Name of the scope.

### faultHandler

    public OFaultHandler faultHandler

  ScopeLikeConstructImpl's fault handler.

### activity

    public OActivity activity

  The activity that gets executed within this scope.

### compensationHandler

    public OCompensationHandler compensationHandler

  ScopeLikeConstructImpl's compensation handler.

### terminationHandler

    public OTerminationHandler terminationHandler

  ScopeLikeConstructImpl's termination handler.

### eventHandler

    public OEventHandler eventHandler

  ScopeLikeConstructImpl's event handler.

### variables

    public final java.util.HashMap<java.lang.String,OScope.Variable> variables

  Variables declared within the scope.

### correlationSets

    public final java.util.Map<java.lang.String,OScope.CorrelationSet> correlationSets

  OCorrelation sets declared within the scope.

### partnerLinks

    public final java.util.Map<java.lang.String,OPartnerLink> partnerLinks

### compensatable

    public final java.util.Set<OScope> compensatable

  The descendants of this scope that can be compensated from the FH/CH of this scope.

### implicitScope

    public boolean implicitScope

### atomicScope

    public boolean atomicScope

  Is this scope atomic i.e. meant to execute in a single transaction.

### isolatedScope

    public boolean isolatedScope

  Is this scope isolated i.e. protected against concurrent access to its variables.

### inboundMessageChildActivity

    public boolean inboundMessageChildActivity

  Is this scope's child an inbound message activity?

Constructor Detail

### OScope

    public OScope(OProcess owner,
                  OActivity parent)

Method Detail

### getCorrelationSet

    public OScope.CorrelationSet getCorrelationSet(java.lang.String corrName)

  Obtains the correlation set visible in current scope or parent scope.

  Parameters:
    `corrName` - correlation set name
  Returns:

### getLocalVariable

    public OScope.Variable getLocalVariable(java.lang.String varName)

  Get a localy-defined variable by name.

  Parameters:
    `varName` - name of variable
  Returns:

### addLocalVariable

    public void addLocalVariable(OScope.Variable variable)

### getVisibleVariable

    public OScope.Variable getVisibleVariable(java.lang.String varName)

### getLocalPartnerLink

    public OPartnerLink getLocalPartnerLink(java.lang.String name)

### getVisiblePartnerLink

    public OPartnerLink getVisiblePartnerLink(java.lang.String name)

### addCorrelationSet

    public void addCorrelationSet(OScope.CorrelationSet ocset)

### isInAtomicScope

    public boolean isInAtomicScope()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OActivity`

### getActivity

    public ActivityModel getActivity()

  Specified by:
    `getActivity` in interface `ScopeModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD